gr::radar::signal_generator_fmcw_c_impl Class Reference

`#include <signal_generator_fmcw_c_impl.h>`

Inheritance diagram for gr::radar::signal_generator_fmcw_c_impl:

## Public Member Functions

| signal_generator_fmcw_c_impl (const int samp_rate, const int samp_up, const int samp_down, const int samp_cw, const float freq_cw, const float freq_sweep, const float amplitude, const std::string &len_key)
| ~signal_generator_fmcw_c_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::radar::signal_generator_fmcw_c
typedef std::shared_ptr< signal_generator_fmcw_c > | sptr
Static Public Member Functions inherited from gr::radar::signal_generator_fmcw_c
static sptr | make (const int samp_rate, const int samp_up, const int samp_down, const int samp_cw, const float freq_cw, const float freq_sweep, const float amplitude, const std::string &len_key="packet_len")

## Constructor & Destructor Documentation

## signal_generator_fmcw_c_impl()

gr::radar::signal_generator_fmcw_c_impl::signal_generator_fmcw_c_impl | ( | const int | samp_rate,
|  | const int | samp_up,
|  | const int | samp_down,
|  | const int | samp_cw,
|  | const float | freq_cw,
|  | const float | freq_sweep,
|  | const float | amplitude,
|  | const std::string & | len_key )

## ~signal_generator_fmcw_c_impl()

gr::radar::signal_generator_fmcw_c_impl::~signal_generator_fmcw_c_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::radar::signal_generator_fmcw_c_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- signal_generator_fmcw_c_impl.h